Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.util
Class DocumentDescriptor.Entry

    java.lang.Object
      java.lang.ref.Reference<T>
          java.lang.ref.WeakReference
              org.apache.batik.util.CleanerThread.WeakReferenceCleared
                  org.apache.batik.dom.util.DocumentDescriptor.Entry

All Implemented Interfaces:
  CleanerThread.ReferenceCleared

Enclosing class:
  DocumentDescriptor

    protected class DocumentDescriptor.Entry

extends CleanerThread.WeakReferenceCleared

To manage collisions

Field Summary
`int` | `hash` The hash code
`int` | `locationColumn` The column number.
`int` | `locationLine` The line number.
`DocumentDescriptor.Entry` | `next` The next entry

Constructor Summary
`DocumentDescriptor.Entry(int hash, Element element, int locationLine, int locationColumn, DocumentDescriptor.Entry next)` Creates a new entry

Method Summary
`void` | `cleared()`

Methods inherited from class java.lang.ref.Reference
`clear, enqueue, get, isEnqueued`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hash

    public int hash

  The hash code

### locationLine

    public int locationLine

  The line number.

### locationColumn

    public int locationColumn

  The column number.

### next

    public DocumentDescriptor.Entry next

  The next entry

Constructor Detail

### DocumentDescriptor.Entry

    public DocumentDescriptor.Entry(int hash,
                                    Element element,
                                    int locationLine,
                                    int locationColumn,
                                    DocumentDescriptor.Entry next)

  Creates a new entry

Method Detail

### cleared

    public void cleared()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.